Changeset 1716


Ignore:
Timestamp:
Mar 29, 2011 6:43:29 AM (9 years ago)
Author:
stefan
Message:

rerun autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/Clp/configure

    r1698 r1716  
    18381838  if test "x$have_svnversion" = xyes; then
    18391839
    1840     svn_rev_tmp=`cd $srcdir/$coin_has_clp ; svnversion`
    1841     CLP_SVN_REV=`echo $svn_rev_tmp | sed -n -e 's/^[0-9]*://' -e 's/\([0-9]\)[^0-9]*$/\1/p'`
    1842     if test $CLP_SVN_REV != exported; then
     1840    svn_rev_tmp=`LANG=en_EN svnversion $srcdir 2>/dev/null`
     1841    if test "$CLP_SVN_REV" != exported; then
     1842      CLP_SVN_REV=`echo $svn_rev_tmp | sed -n -e 's/^[0-9]*://' -e 's/\([0-9]\)[^0-9]*$/\1/p'`
    18431843
    18441844cat >>confdefs.h <<_ACEOF
     
    2520225202
    2520325203
    25204   ac_ext=f
     25204
     25205# get FLIBS
     25206ac_ext=f
    2520525207ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    2520625208ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     
    2525325255ac_save_FFLAGS=$FFLAGS
    2525425256FFLAGS="$FFLAGS $ac_verb"
    25255 (eval echo $as_me:25255: \"$ac_link\") >&5
     25257(eval echo $as_me:25257: \"$ac_link\") >&5
    2525625258ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2525725259echo "$ac_f77_v_output" >&5
     
    2533125333ac_save_FFLAGS=$FFLAGS
    2533225334FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    25333 (eval echo $as_me:25333: \"$ac_link\") >&5
     25335(eval echo $as_me:25335: \"$ac_link\") >&5
    2533425336ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2533525337echo "$ac_f77_v_output" >&5
     
    2549725499
    2549825500
    25499 ac_ext=f
    25500 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    25501 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    25502 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    25503 
    25504 ac_ext=f
    25505 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    25506 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    25507 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    25508 
    25509 echo "$as_me:$LINENO: checking for dummy main to link with Fortran libraries" >&5
    25510 echo $ECHO_N "checking for dummy main to link with Fortran libraries... $ECHO_C" >&6
    25511 if test "${ac_cv_f77_dummy_main+set}" = set; then
    25512   echo $ECHO_N "(cached) $ECHO_C" >&6
    25513 else
    25514   ac_f77_dm_save_LIBS=$LIBS
    25515  LIBS="$LIBS $FLIBS"
    25516  ac_fortran_dm_var=F77_DUMMY_MAIN
    25517  ac_ext=c
     25501ac_ext=c
    2551825502ac_cpp='$CPP $CPPFLAGS'
    2551925503ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     
    2552125505ac_compiler_gnu=$ac_cv_c_compiler_gnu
    2552225506
    25523  # First, try linking without a dummy main:
    25524  cat >conftest.$ac_ext <<_ACEOF
    25525 /* confdefs.h.  */
    25526 _ACEOF
    25527 cat confdefs.h >>conftest.$ac_ext
    25528 cat >>conftest.$ac_ext <<_ACEOF
    25529 /* end confdefs.h.  */
    25530 
    25531 #ifdef F77_DUMMY_MAIN
    25532 
    25533 #  ifdef __cplusplus
    25534      extern "C"
    25535 #  endif
    25536    int F77_DUMMY_MAIN() { return 1; }
    25537 
    25538 #endif
    25539 int
    25540 main ()
    25541 {
    25542 
    25543   ;
    25544   return 0;
    25545 }
    25546 _ACEOF
    25547 rm -f conftest.$ac_objext conftest$ac_exeext
    25548 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    25549   (eval $ac_link) 2>conftest.er1
    25550   ac_status=$?
    25551   grep -v '^ *+' conftest.er1 >conftest.err
    25552   rm -f conftest.er1
    25553   cat conftest.err >&5
    25554   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    25555   (exit $ac_status); } &&
    25556          { ac_try='test -z "$ac_c_werror_flag"
    25557                          || test ! -s conftest.err'
    25558   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    25559   (eval $ac_try) 2>&5
    25560   ac_status=$?
    25561   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    25562   (exit $ac_status); }; } &&
    25563          { ac_try='test -s conftest$ac_exeext'
    25564   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    25565   (eval $ac_try) 2>&5
    25566   ac_status=$?
    25567   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    25568   (exit $ac_status); }; }; then
    25569   ac_cv_fortran_dummy_main=none
    25570 else
    25571   echo "$as_me: failed program was:" >&5
    25572 sed 's/^/| /' conftest.$ac_ext >&5
    25573 
    25574 ac_cv_fortran_dummy_main=unknown
    25575 fi
    25576 rm -f conftest.err conftest.$ac_objext \
    25577       conftest$ac_exeext conftest.$ac_ext
    25578 
    25579  if test $ac_cv_fortran_dummy_main = unknown; then
    25580    for ac_func in MAIN__ MAIN_ __main MAIN _MAIN __MAIN main_ main__ _main; do
    25581      cat >conftest.$ac_ext <<_ACEOF
    25582 /* confdefs.h.  */
    25583 _ACEOF
    25584 cat confdefs.h >>conftest.$ac_ext
    25585 cat >>conftest.$ac_ext <<_ACEOF
    25586 /* end confdefs.h.  */
    25587 #define $ac_fortran_dm_var $ac_func
    25588 #ifdef F77_DUMMY_MAIN
    25589 
    25590 #  ifdef __cplusplus
    25591      extern "C"
    25592 #  endif
    25593    int F77_DUMMY_MAIN() { return 1; }
    25594 
    25595 #endif
    25596 int
    25597 main ()
    25598 {
    25599 
    25600   ;
    25601   return 0;
    25602 }
    25603 _ACEOF
    25604 rm -f conftest.$ac_objext conftest$ac_exeext
    25605 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    25606   (eval $ac_link) 2>conftest.er1
    25607   ac_status=$?
    25608   grep -v '^ *+' conftest.er1 >conftest.err
    25609   rm -f conftest.er1
    25610   cat conftest.err >&5
    25611   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    25612   (exit $ac_status); } &&
    25613          { ac_try='test -z "$ac_c_werror_flag"
    25614                          || test ! -s conftest.err'
    25615   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    25616   (eval $ac_try) 2>&5
    25617   ac_status=$?
    25618   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    25619   (exit $ac_status); }; } &&
    25620          { ac_try='test -s conftest$ac_exeext'
    25621   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    25622   (eval $ac_try) 2>&5
    25623   ac_status=$?
    25624   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    25625   (exit $ac_status); }; }; then
    25626   ac_cv_fortran_dummy_main=$ac_func; break
    25627 else
    25628   echo "$as_me: failed program was:" >&5
    25629 sed 's/^/| /' conftest.$ac_ext >&5
    25630 
    25631 fi
    25632 rm -f conftest.err conftest.$ac_objext \
    25633       conftest$ac_exeext conftest.$ac_ext
    25634    done
    25635  fi
    25636  ac_ext=f
    25637 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    25638 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    25639 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    25640  ac_cv_f77_dummy_main=$ac_cv_fortran_dummy_main
    25641  rm -f conftest*
    25642  LIBS=$ac_f77_dm_save_LIBS
    25643 
    25644 fi
    25645 echo "$as_me:$LINENO: result: $ac_cv_f77_dummy_main" >&5
    25646 echo "${ECHO_T}$ac_cv_f77_dummy_main" >&6
    25647 F77_DUMMY_MAIN=$ac_cv_f77_dummy_main
    25648 if test "$F77_DUMMY_MAIN" != unknown; then
    25649   if test $F77_DUMMY_MAIN != none; then
    25650 
    25651 cat >>confdefs.h <<_ACEOF
    25652 #define F77_DUMMY_MAIN $F77_DUMMY_MAIN
    25653 _ACEOF
    25654 
    25655   if test "x$ac_cv_fc_dummy_main" = "x$ac_cv_f77_dummy_main"; then
    25656 
    25657 cat >>confdefs.h <<\_ACEOF
    25658 #define FC_DUMMY_MAIN_EQ_F77 1
    25659 _ACEOF
    25660 
    25661   fi
    25662 fi
    25663 else
    25664   { { echo "$as_me:$LINENO: error: linking to Fortran libraries from C fails
    25665 See \`config.log' for more details." >&5
    25666 echo "$as_me: error: linking to Fortran libraries from C fails
    25667 See \`config.log' for more details." >&2;}
    25668    { (exit 1); exit 1; }; }
    25669 fi
    25670 
    25671 
    25672 ac_ext=f
    25673 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    25674 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    25675 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    25676 
    25677 ac_ext=f
    25678 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    25679 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    25680 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    25681 echo "$as_me:$LINENO: checking for Fortran name-mangling scheme" >&5
    25682 echo $ECHO_N "checking for Fortran name-mangling scheme... $ECHO_C" >&6
    25683 if test "${ac_cv_f77_mangling+set}" = set; then
    25684   echo $ECHO_N "(cached) $ECHO_C" >&6
    25685 else
    25686   cat >conftest.$ac_ext <<_ACEOF
    25687       subroutine foobar()
    25688       return
    25689       end
    25690       subroutine foo_bar()
    25691       return
    25692       end
    25693 _ACEOF
    25694 rm -f conftest.$ac_objext
    25695 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    25696   (eval $ac_compile) 2>conftest.er1
    25697   ac_status=$?
    25698   grep -v '^ *+' conftest.er1 >conftest.err
    25699   rm -f conftest.er1
    25700   cat conftest.err >&5
    25701   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    25702   (exit $ac_status); } &&
    25703          { ac_try='test -z "$ac_f77_werror_flag"
    25704                          || test ! -s conftest.err'
    25705   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    25706   (eval $ac_try) 2>&5
    25707   ac_status=$?
    25708   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    25709   (exit $ac_status); }; } &&
    25710          { ac_try='test -s conftest.$ac_objext'
    25711   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    25712   (eval $ac_try) 2>&5
    25713   ac_status=$?
    25714   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    25715   (exit $ac_status); }; }; then
    25716   mv conftest.$ac_objext cfortran_test.$ac_objext
    25717 
    25718   ac_save_LIBS=$LIBS
    25719   LIBS="cfortran_test.$ac_objext $LIBS $FLIBS"
    25720 
    25721   ac_ext=c
    25722 ac_cpp='$CPP $CPPFLAGS'
    25723 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    25724 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    25725 ac_compiler_gnu=$ac_cv_c_compiler_gnu
    25726   ac_success=no
    25727   for ac_foobar in foobar FOOBAR; do
    25728     for ac_underscore in "" "_"; do
    25729       ac_func="$ac_foobar$ac_underscore"
    25730       cat >conftest.$ac_ext <<_ACEOF
    25731 /* confdefs.h.  */
    25732 _ACEOF
    25733 cat confdefs.h >>conftest.$ac_ext
    25734 cat >>conftest.$ac_ext <<_ACEOF
    25735 /* end confdefs.h.  */
    25736 
    25737 /* Override any gcc2 internal prototype to avoid an error.  */
    25738 #ifdef __cplusplus
    25739 extern "C"
    25740 #endif
    25741 /* We use char because int might match the return type of a gcc2
    25742    builtin and then its argument prototype would still apply.  */
    25743 char $ac_func ();
    25744 #ifdef F77_DUMMY_MAIN
    25745 
    25746 #  ifdef __cplusplus
    25747      extern "C"
    25748 #  endif
    25749    int F77_DUMMY_MAIN() { return 1; }
    25750 
    25751 #endif
    25752 int
    25753 main ()
    25754 {
    25755 $ac_func ();
    25756   ;
    25757   return 0;
    25758 }
    25759 _ACEOF
    25760 rm -f conftest.$ac_objext conftest$ac_exeext
    25761 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    25762   (eval $ac_link) 2>conftest.er1
    25763   ac_status=$?
    25764   grep -v '^ *+' conftest.er1 >conftest.err
    25765   rm -f conftest.er1
    25766   cat conftest.err >&5
    25767   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    25768   (exit $ac_status); } &&
    25769          { ac_try='test -z "$ac_c_werror_flag"
    25770                          || test ! -s conftest.err'
    25771   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    25772   (eval $ac_try) 2>&5
    25773   ac_status=$?
    25774   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    25775   (exit $ac_status); }; } &&
    25776          { ac_try='test -s conftest$ac_exeext'
    25777   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    25778   (eval $ac_try) 2>&5
    25779   ac_status=$?
    25780   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    25781   (exit $ac_status); }; }; then
    25782   ac_success=yes; break 2
    25783 else
    25784   echo "$as_me: failed program was:" >&5
    25785 sed 's/^/| /' conftest.$ac_ext >&5
    25786 
    25787 fi
    25788 rm -f conftest.err conftest.$ac_objext \
    25789       conftest$ac_exeext conftest.$ac_ext
    25790     done
    25791   done
    25792   ac_ext=f
    25793 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    25794 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    25795 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    25796 
    25797   if test "$ac_success" = "yes"; then
    25798      case $ac_foobar in
    25799         foobar)
    25800            ac_case=lower
    25801            ac_foo_bar=foo_bar
    25802            ;;
    25803         FOOBAR)
    25804            ac_case=upper
    25805            ac_foo_bar=FOO_BAR
    25806            ;;
    25807      esac
    25808 
    25809      ac_ext=c
    25810 ac_cpp='$CPP $CPPFLAGS'
    25811 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
    25812 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    25813 ac_compiler_gnu=$ac_cv_c_compiler_gnu
    25814      ac_success_extra=no
    25815      for ac_extra in "" "_"; do
    25816         ac_func="$ac_foo_bar$ac_underscore$ac_extra"
    25817         cat >conftest.$ac_ext <<_ACEOF
    25818 /* confdefs.h.  */
    25819 _ACEOF
    25820 cat confdefs.h >>conftest.$ac_ext
    25821 cat >>conftest.$ac_ext <<_ACEOF
    25822 /* end confdefs.h.  */
    25823 
    25824 /* Override any gcc2 internal prototype to avoid an error.  */
    25825 #ifdef __cplusplus
    25826 extern "C"
    25827 #endif
    25828 /* We use char because int might match the return type of a gcc2
    25829    builtin and then its argument prototype would still apply.  */
    25830 char $ac_func ();
    25831 #ifdef F77_DUMMY_MAIN
    25832 
    25833 #  ifdef __cplusplus
    25834      extern "C"
    25835 #  endif
    25836    int F77_DUMMY_MAIN() { return 1; }
    25837 
    25838 #endif
    25839 int
    25840 main ()
    25841 {
    25842 $ac_func ();
    25843   ;
    25844   return 0;
    25845 }
    25846 _ACEOF
    25847 rm -f conftest.$ac_objext conftest$ac_exeext
    25848 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    25849   (eval $ac_link) 2>conftest.er1
    25850   ac_status=$?
    25851   grep -v '^ *+' conftest.er1 >conftest.err
    25852   rm -f conftest.er1
    25853   cat conftest.err >&5
    25854   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    25855   (exit $ac_status); } &&
    25856          { ac_try='test -z "$ac_c_werror_flag"
    25857                          || test ! -s conftest.err'
    25858   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    25859   (eval $ac_try) 2>&5
    25860   ac_status=$?
    25861   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    25862   (exit $ac_status); }; } &&
    25863          { ac_try='test -s conftest$ac_exeext'
    25864   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    25865   (eval $ac_try) 2>&5
    25866   ac_status=$?
    25867   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    25868   (exit $ac_status); }; }; then
    25869   ac_success_extra=yes; break
    25870 else
    25871   echo "$as_me: failed program was:" >&5
    25872 sed 's/^/| /' conftest.$ac_ext >&5
    25873 
    25874 fi
    25875 rm -f conftest.err conftest.$ac_objext \
    25876       conftest$ac_exeext conftest.$ac_ext
    25877      done
    25878      ac_ext=f
    25879 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    25880 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    25881 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    25882 
    25883      if test "$ac_success_extra" = "yes"; then
    25884         ac_cv_f77_mangling="$ac_case case"
    25885         if test -z "$ac_underscore"; then
    25886            ac_cv_f77_mangling="$ac_cv_f77_mangling, no underscore"
    25887         else
    25888            ac_cv_f77_mangling="$ac_cv_f77_mangling, underscore"
    25889         fi
    25890         if test -z "$ac_extra"; then
    25891            ac_cv_f77_mangling="$ac_cv_f77_mangling, no extra underscore"
    25892         else
    25893            ac_cv_f77_mangling="$ac_cv_f77_mangling, extra underscore"
    25894         fi
    25895       else
    25896         ac_cv_f77_mangling="unknown"
    25897       fi
    25898   else
    25899      ac_cv_f77_mangling="unknown"
    25900   fi
    25901 
    25902   LIBS=$ac_save_LIBS
    25903   rm -f cfortran_test* conftest*
    25904 else
    25905   echo "$as_me: failed program was:" >&5
    25906 sed 's/^/| /' conftest.$ac_ext >&5
    25907 
    25908 { { echo "$as_me:$LINENO: error: cannot compile a simple Fortran program
    25909 See \`config.log' for more details." >&5
    25910 echo "$as_me: error: cannot compile a simple Fortran program
    25911 See \`config.log' for more details." >&2;}
    25912    { (exit 1); exit 1; }; }
    25913 fi
    25914 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    25915 
    25916 fi
    25917 echo "$as_me:$LINENO: result: $ac_cv_f77_mangling" >&5
    25918 echo "${ECHO_T}$ac_cv_f77_mangling" >&6
    25919 
    25920 ac_ext=f
    25921 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    25922 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    25923 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    25924 
    25925 
    25926 ac_ext=f
    25927 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    25928 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    25929 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    25930 
    25931 
    25932 ac_ext=f
    25933 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    25934 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    25935 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    25936 
    25937 
    25938 case $ac_cv_f77_mangling in
    25939   "lower case, no underscore, no extra underscore")
    25940           cat >>confdefs.h <<\_ACEOF
    25941 #define F77_FUNC(name,NAME) name
    25942 _ACEOF
    25943 
    25944           cat >>confdefs.h <<\_ACEOF
    25945 #define F77_FUNC_(name,NAME) name
    25946 _ACEOF
    25947  ;;
    25948   "lower case, no underscore, extra underscore")
    25949           cat >>confdefs.h <<\_ACEOF
    25950 #define F77_FUNC(name,NAME) name
    25951 _ACEOF
    25952 
    25953           cat >>confdefs.h <<\_ACEOF
    25954 #define F77_FUNC_(name,NAME) name ## _
    25955 _ACEOF
    25956  ;;
    25957   "lower case, underscore, no extra underscore")
    25958           cat >>confdefs.h <<\_ACEOF
    25959 #define F77_FUNC(name,NAME) name ## _
    25960 _ACEOF
    25961 
    25962           cat >>confdefs.h <<\_ACEOF
    25963 #define F77_FUNC_(name,NAME) name ## _
    25964 _ACEOF
    25965  ;;
    25966   "lower case, underscore, extra underscore")
    25967           cat >>confdefs.h <<\_ACEOF
    25968 #define F77_FUNC(name,NAME) name ## _
    25969 _ACEOF
    25970 
    25971           cat >>confdefs.h <<\_ACEOF
    25972 #define F77_FUNC_(name,NAME) name ## __
    25973 _ACEOF
    25974  ;;
    25975   "upper case, no underscore, no extra underscore")
    25976           cat >>confdefs.h <<\_ACEOF
    25977 #define F77_FUNC(name,NAME) NAME
    25978 _ACEOF
    25979 
    25980           cat >>confdefs.h <<\_ACEOF
    25981 #define F77_FUNC_(name,NAME) NAME
    25982 _ACEOF
    25983  ;;
    25984   "upper case, no underscore, extra underscore")
    25985           cat >>confdefs.h <<\_ACEOF
    25986 #define F77_FUNC(name,NAME) NAME
    25987 _ACEOF
    25988 
    25989           cat >>confdefs.h <<\_ACEOF
    25990 #define F77_FUNC_(name,NAME) NAME ## _
    25991 _ACEOF
    25992  ;;
    25993   "upper case, underscore, no extra underscore")
    25994           cat >>confdefs.h <<\_ACEOF
    25995 #define F77_FUNC(name,NAME) NAME ## _
    25996 _ACEOF
    25997 
    25998           cat >>confdefs.h <<\_ACEOF
    25999 #define F77_FUNC_(name,NAME) NAME ## _
    26000 _ACEOF
    26001  ;;
    26002   "upper case, underscore, extra underscore")
    26003           cat >>confdefs.h <<\_ACEOF
    26004 #define F77_FUNC(name,NAME) NAME ## _
    26005 _ACEOF
    26006 
    26007           cat >>confdefs.h <<\_ACEOF
    26008 #define F77_FUNC_(name,NAME) NAME ## __
    26009 _ACEOF
    26010  ;;
    26011   *)
    26012           { echo "$as_me:$LINENO: WARNING: unknown Fortran name-mangling scheme" >&5
    26013 echo "$as_me: WARNING: unknown Fortran name-mangling scheme" >&2;}
    26014           ;;
    26015 esac
    26016 
    26017 ac_ext=f
    26018 ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
    26019 ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
    26020 ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    26021 
     25507orig_FLIBS="$FLIBS"
    2602225508
    2602325509# If FLIBS has been set by the user, we just restore its value here
     
    2604425530  # This is seem to be unnecessary, libifcorert(d).lib has been removed from the link line.
    2604525531  # Further, excluding libc.lib from the default libs seemed to be necessary only for VS < 8.
    26046   # Since the corresponding flag seems to make more trouble that it avoid, it has been removed now.
     25532  # Since the corresponding flag seems to make more trouble than it avoids, it has been removed now.
    2604725533     *-cygwin* | *-mingw*)
    2604825534       case "$F77" in
     
    2607225558  ac_cv_f77_libs="$FLIBS"
    2607325559fi
     25560
     25561if test "x$orig_FLIBS" != "x$FLIBS" ; then
     25562  { echo "$as_me:$LINENO: Corrected Fortran libraries: $FLIBS" >&5
     25563echo "$as_me: Corrected Fortran libraries: $FLIBS" >&6;}
     25564fi
     25565
     25566ac_ext=f
     25567ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     25568ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     25569ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     25570
     25571echo "$as_me:$LINENO: checking for dummy main to link with Fortran libraries" >&5
     25572echo $ECHO_N "checking for dummy main to link with Fortran libraries... $ECHO_C" >&6
     25573if test "${ac_cv_f77_dummy_main+set}" = set; then
     25574  echo $ECHO_N "(cached) $ECHO_C" >&6
     25575else
     25576  ac_f77_dm_save_LIBS=$LIBS
     25577 LIBS="$LIBS $FLIBS"
     25578 ac_fortran_dm_var=F77_DUMMY_MAIN
     25579 ac_ext=c
     25580ac_cpp='$CPP $CPPFLAGS'
     25581ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     25582ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     25583ac_compiler_gnu=$ac_cv_c_compiler_gnu
     25584
     25585 # First, try linking without a dummy main:
     25586 cat >conftest.$ac_ext <<_ACEOF
     25587/* confdefs.h.  */
     25588_ACEOF
     25589cat confdefs.h >>conftest.$ac_ext
     25590cat >>conftest.$ac_ext <<_ACEOF
     25591/* end confdefs.h.  */
     25592
     25593#ifdef F77_DUMMY_MAIN
     25594
     25595#  ifdef __cplusplus
     25596     extern "C"
     25597#  endif
     25598   int F77_DUMMY_MAIN() { return 1; }
     25599
     25600#endif
     25601int
     25602main ()
     25603{
     25604
     25605  ;
     25606  return 0;
     25607}
     25608_ACEOF
     25609rm -f conftest.$ac_objext conftest$ac_exeext
     25610if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     25611  (eval $ac_link) 2>conftest.er1
     25612  ac_status=$?
     25613  grep -v '^ *+' conftest.er1 >conftest.err
     25614  rm -f conftest.er1
     25615  cat conftest.err >&5
     25616  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25617  (exit $ac_status); } &&
     25618         { ac_try='test -z "$ac_c_werror_flag"
     25619                         || test ! -s conftest.err'
     25620  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     25621  (eval $ac_try) 2>&5
     25622  ac_status=$?
     25623  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25624  (exit $ac_status); }; } &&
     25625         { ac_try='test -s conftest$ac_exeext'
     25626  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     25627  (eval $ac_try) 2>&5
     25628  ac_status=$?
     25629  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25630  (exit $ac_status); }; }; then
     25631  ac_cv_fortran_dummy_main=none
     25632else
     25633  echo "$as_me: failed program was:" >&5
     25634sed 's/^/| /' conftest.$ac_ext >&5
     25635
     25636ac_cv_fortran_dummy_main=unknown
     25637fi
     25638rm -f conftest.err conftest.$ac_objext \
     25639      conftest$ac_exeext conftest.$ac_ext
     25640
     25641 if test $ac_cv_fortran_dummy_main = unknown; then
     25642   for ac_func in MAIN__ MAIN_ __main MAIN _MAIN __MAIN main_ main__ _main; do
     25643     cat >conftest.$ac_ext <<_ACEOF
     25644/* confdefs.h.  */
     25645_ACEOF
     25646cat confdefs.h >>conftest.$ac_ext
     25647cat >>conftest.$ac_ext <<_ACEOF
     25648/* end confdefs.h.  */
     25649#define $ac_fortran_dm_var $ac_func
     25650#ifdef F77_DUMMY_MAIN
     25651
     25652#  ifdef __cplusplus
     25653     extern "C"
     25654#  endif
     25655   int F77_DUMMY_MAIN() { return 1; }
     25656
     25657#endif
     25658int
     25659main ()
     25660{
     25661
     25662  ;
     25663  return 0;
     25664}
     25665_ACEOF
     25666rm -f conftest.$ac_objext conftest$ac_exeext
     25667if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     25668  (eval $ac_link) 2>conftest.er1
     25669  ac_status=$?
     25670  grep -v '^ *+' conftest.er1 >conftest.err
     25671  rm -f conftest.er1
     25672  cat conftest.err >&5
     25673  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25674  (exit $ac_status); } &&
     25675         { ac_try='test -z "$ac_c_werror_flag"
     25676                         || test ! -s conftest.err'
     25677  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     25678  (eval $ac_try) 2>&5
     25679  ac_status=$?
     25680  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25681  (exit $ac_status); }; } &&
     25682         { ac_try='test -s conftest$ac_exeext'
     25683  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     25684  (eval $ac_try) 2>&5
     25685  ac_status=$?
     25686  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25687  (exit $ac_status); }; }; then
     25688  ac_cv_fortran_dummy_main=$ac_func; break
     25689else
     25690  echo "$as_me: failed program was:" >&5
     25691sed 's/^/| /' conftest.$ac_ext >&5
     25692
     25693fi
     25694rm -f conftest.err conftest.$ac_objext \
     25695      conftest$ac_exeext conftest.$ac_ext
     25696   done
     25697 fi
     25698 ac_ext=f
     25699ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     25700ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     25701ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     25702 ac_cv_f77_dummy_main=$ac_cv_fortran_dummy_main
     25703 rm -f conftest*
     25704 LIBS=$ac_f77_dm_save_LIBS
     25705
     25706fi
     25707echo "$as_me:$LINENO: result: $ac_cv_f77_dummy_main" >&5
     25708echo "${ECHO_T}$ac_cv_f77_dummy_main" >&6
     25709F77_DUMMY_MAIN=$ac_cv_f77_dummy_main
     25710if test "$F77_DUMMY_MAIN" != unknown; then
     25711  if test $F77_DUMMY_MAIN != none; then
     25712
     25713cat >>confdefs.h <<_ACEOF
     25714#define F77_DUMMY_MAIN $F77_DUMMY_MAIN
     25715_ACEOF
     25716
     25717  if test "x$ac_cv_fc_dummy_main" = "x$ac_cv_f77_dummy_main"; then
     25718
     25719cat >>confdefs.h <<\_ACEOF
     25720#define FC_DUMMY_MAIN_EQ_F77 1
     25721_ACEOF
     25722
     25723  fi
     25724fi
     25725else
     25726  { { echo "$as_me:$LINENO: error: linking to Fortran libraries from C fails
     25727See \`config.log' for more details." >&5
     25728echo "$as_me: error: linking to Fortran libraries from C fails
     25729See \`config.log' for more details." >&2;}
     25730   { (exit 1); exit 1; }; }
     25731fi
     25732
     25733
     25734ac_ext=f
     25735ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     25736ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     25737ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     25738
     25739ac_ext=f
     25740ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     25741ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     25742ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     25743echo "$as_me:$LINENO: checking for Fortran name-mangling scheme" >&5
     25744echo $ECHO_N "checking for Fortran name-mangling scheme... $ECHO_C" >&6
     25745if test "${ac_cv_f77_mangling+set}" = set; then
     25746  echo $ECHO_N "(cached) $ECHO_C" >&6
     25747else
     25748  cat >conftest.$ac_ext <<_ACEOF
     25749      subroutine foobar()
     25750      return
     25751      end
     25752      subroutine foo_bar()
     25753      return
     25754      end
     25755_ACEOF
     25756rm -f conftest.$ac_objext
     25757if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     25758  (eval $ac_compile) 2>conftest.er1
     25759  ac_status=$?
     25760  grep -v '^ *+' conftest.er1 >conftest.err
     25761  rm -f conftest.er1
     25762  cat conftest.err >&5
     25763  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25764  (exit $ac_status); } &&
     25765         { ac_try='test -z "$ac_f77_werror_flag"
     25766                         || test ! -s conftest.err'
     25767  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     25768  (eval $ac_try) 2>&5
     25769  ac_status=$?
     25770  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25771  (exit $ac_status); }; } &&
     25772         { ac_try='test -s conftest.$ac_objext'
     25773  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     25774  (eval $ac_try) 2>&5
     25775  ac_status=$?
     25776  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25777  (exit $ac_status); }; }; then
     25778  mv conftest.$ac_objext cfortran_test.$ac_objext
     25779
     25780  ac_save_LIBS=$LIBS
     25781  LIBS="cfortran_test.$ac_objext $LIBS $FLIBS"
     25782
     25783  ac_ext=c
     25784ac_cpp='$CPP $CPPFLAGS'
     25785ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     25786ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     25787ac_compiler_gnu=$ac_cv_c_compiler_gnu
     25788  ac_success=no
     25789  for ac_foobar in foobar FOOBAR; do
     25790    for ac_underscore in "" "_"; do
     25791      ac_func="$ac_foobar$ac_underscore"
     25792      cat >conftest.$ac_ext <<_ACEOF
     25793/* confdefs.h.  */
     25794_ACEOF
     25795cat confdefs.h >>conftest.$ac_ext
     25796cat >>conftest.$ac_ext <<_ACEOF
     25797/* end confdefs.h.  */
     25798
     25799/* Override any gcc2 internal prototype to avoid an error.  */
     25800#ifdef __cplusplus
     25801extern "C"
     25802#endif
     25803/* We use char because int might match the return type of a gcc2
     25804   builtin and then its argument prototype would still apply.  */
     25805char $ac_func ();
     25806#ifdef F77_DUMMY_MAIN
     25807
     25808#  ifdef __cplusplus
     25809     extern "C"
     25810#  endif
     25811   int F77_DUMMY_MAIN() { return 1; }
     25812
     25813#endif
     25814int
     25815main ()
     25816{
     25817$ac_func ();
     25818  ;
     25819  return 0;
     25820}
     25821_ACEOF
     25822rm -f conftest.$ac_objext conftest$ac_exeext
     25823if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     25824  (eval $ac_link) 2>conftest.er1
     25825  ac_status=$?
     25826  grep -v '^ *+' conftest.er1 >conftest.err
     25827  rm -f conftest.er1
     25828  cat conftest.err >&5
     25829  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25830  (exit $ac_status); } &&
     25831         { ac_try='test -z "$ac_c_werror_flag"
     25832                         || test ! -s conftest.err'
     25833  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     25834  (eval $ac_try) 2>&5
     25835  ac_status=$?
     25836  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25837  (exit $ac_status); }; } &&
     25838         { ac_try='test -s conftest$ac_exeext'
     25839  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     25840  (eval $ac_try) 2>&5
     25841  ac_status=$?
     25842  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25843  (exit $ac_status); }; }; then
     25844  ac_success=yes; break 2
     25845else
     25846  echo "$as_me: failed program was:" >&5
     25847sed 's/^/| /' conftest.$ac_ext >&5
     25848
     25849fi
     25850rm -f conftest.err conftest.$ac_objext \
     25851      conftest$ac_exeext conftest.$ac_ext
     25852    done
     25853  done
     25854  ac_ext=f
     25855ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     25856ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     25857ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     25858
     25859  if test "$ac_success" = "yes"; then
     25860     case $ac_foobar in
     25861        foobar)
     25862           ac_case=lower
     25863           ac_foo_bar=foo_bar
     25864           ;;
     25865        FOOBAR)
     25866           ac_case=upper
     25867           ac_foo_bar=FOO_BAR
     25868           ;;
     25869     esac
     25870
     25871     ac_ext=c
     25872ac_cpp='$CPP $CPPFLAGS'
     25873ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     25874ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     25875ac_compiler_gnu=$ac_cv_c_compiler_gnu
     25876     ac_success_extra=no
     25877     for ac_extra in "" "_"; do
     25878        ac_func="$ac_foo_bar$ac_underscore$ac_extra"
     25879        cat >conftest.$ac_ext <<_ACEOF
     25880/* confdefs.h.  */
     25881_ACEOF
     25882cat confdefs.h >>conftest.$ac_ext
     25883cat >>conftest.$ac_ext <<_ACEOF
     25884/* end confdefs.h.  */
     25885
     25886/* Override any gcc2 internal prototype to avoid an error.  */
     25887#ifdef __cplusplus
     25888extern "C"
     25889#endif
     25890/* We use char because int might match the return type of a gcc2
     25891   builtin and then its argument prototype would still apply.  */
     25892char $ac_func ();
     25893#ifdef F77_DUMMY_MAIN
     25894
     25895#  ifdef __cplusplus
     25896     extern "C"
     25897#  endif
     25898   int F77_DUMMY_MAIN() { return 1; }
     25899
     25900#endif
     25901int
     25902main ()
     25903{
     25904$ac_func ();
     25905  ;
     25906  return 0;
     25907}
     25908_ACEOF
     25909rm -f conftest.$ac_objext conftest$ac_exeext
     25910if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     25911  (eval $ac_link) 2>conftest.er1
     25912  ac_status=$?
     25913  grep -v '^ *+' conftest.er1 >conftest.err
     25914  rm -f conftest.er1
     25915  cat conftest.err >&5
     25916  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25917  (exit $ac_status); } &&
     25918         { ac_try='test -z "$ac_c_werror_flag"
     25919                         || test ! -s conftest.err'
     25920  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     25921  (eval $ac_try) 2>&5
     25922  ac_status=$?
     25923  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25924  (exit $ac_status); }; } &&
     25925         { ac_try='test -s conftest$ac_exeext'
     25926  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     25927  (eval $ac_try) 2>&5
     25928  ac_status=$?
     25929  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25930  (exit $ac_status); }; }; then
     25931  ac_success_extra=yes; break
     25932else
     25933  echo "$as_me: failed program was:" >&5
     25934sed 's/^/| /' conftest.$ac_ext >&5
     25935
     25936fi
     25937rm -f conftest.err conftest.$ac_objext \
     25938      conftest$ac_exeext conftest.$ac_ext
     25939     done
     25940     ac_ext=f
     25941ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     25942ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     25943ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     25944
     25945     if test "$ac_success_extra" = "yes"; then
     25946        ac_cv_f77_mangling="$ac_case case"
     25947        if test -z "$ac_underscore"; then
     25948           ac_cv_f77_mangling="$ac_cv_f77_mangling, no underscore"
     25949        else
     25950           ac_cv_f77_mangling="$ac_cv_f77_mangling, underscore"
     25951        fi
     25952        if test -z "$ac_extra"; then
     25953           ac_cv_f77_mangling="$ac_cv_f77_mangling, no extra underscore"
     25954        else
     25955           ac_cv_f77_mangling="$ac_cv_f77_mangling, extra underscore"
     25956        fi
     25957      else
     25958        ac_cv_f77_mangling="unknown"
     25959      fi
     25960  else
     25961     ac_cv_f77_mangling="unknown"
     25962  fi
     25963
     25964  LIBS=$ac_save_LIBS
     25965  rm -f cfortran_test* conftest*
     25966else
     25967  echo "$as_me: failed program was:" >&5
     25968sed 's/^/| /' conftest.$ac_ext >&5
     25969
     25970{ { echo "$as_me:$LINENO: error: cannot compile a simple Fortran program
     25971See \`config.log' for more details." >&5
     25972echo "$as_me: error: cannot compile a simple Fortran program
     25973See \`config.log' for more details." >&2;}
     25974   { (exit 1); exit 1; }; }
     25975fi
     25976rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     25977
     25978fi
     25979echo "$as_me:$LINENO: result: $ac_cv_f77_mangling" >&5
     25980echo "${ECHO_T}$ac_cv_f77_mangling" >&6
     25981
     25982ac_ext=f
     25983ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     25984ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     25985ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     25986
     25987
     25988ac_ext=f
     25989ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     25990ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     25991ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     25992
     25993ac_ext=f
     25994ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     25995ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     25996ac_compiler_gnu=$ac_cv_f77_compiler_gnu
     25997
     25998
     25999case $ac_cv_f77_mangling in
     26000  "lower case, no underscore, no extra underscore")
     26001          cat >>confdefs.h <<\_ACEOF
     26002#define F77_FUNC(name,NAME) name
     26003_ACEOF
     26004
     26005          cat >>confdefs.h <<\_ACEOF
     26006#define F77_FUNC_(name,NAME) name
     26007_ACEOF
     26008 ;;
     26009  "lower case, no underscore, extra underscore")
     26010          cat >>confdefs.h <<\_ACEOF
     26011#define F77_FUNC(name,NAME) name
     26012_ACEOF
     26013
     26014          cat >>confdefs.h <<\_ACEOF
     26015#define F77_FUNC_(name,NAME) name ## _
     26016_ACEOF
     26017 ;;
     26018  "lower case, underscore, no extra underscore")
     26019          cat >>confdefs.h <<\_ACEOF
     26020#define F77_FUNC(name,NAME) name ## _
     26021_ACEOF
     26022
     26023          cat >>confdefs.h <<\_ACEOF
     26024#define F77_FUNC_(name,NAME) name ## _
     26025_ACEOF
     26026 ;;
     26027  "lower case, underscore, extra underscore")
     26028          cat >>confdefs.h <<\_ACEOF
     26029#define F77_FUNC(name,NAME) name ## _
     26030_ACEOF
     26031
     26032          cat >>confdefs.h <<\_ACEOF
     26033#define F77_FUNC_(name,NAME) name ## __
     26034_ACEOF
     26035 ;;
     26036  "upper case, no underscore, no extra underscore")
     26037          cat >>confdefs.h <<\_ACEOF
     26038#define F77_FUNC(name,NAME) NAME
     26039_ACEOF
     26040
     26041          cat >>confdefs.h <<\_ACEOF
     26042#define F77_FUNC_(name,NAME) NAME
     26043_ACEOF
     26044 ;;
     26045  "upper case, no underscore, extra underscore")
     26046          cat >>confdefs.h <<\_ACEOF
     26047#define F77_FUNC(name,NAME) NAME
     26048_ACEOF
     26049
     26050          cat >>confdefs.h <<\_ACEOF
     26051#define F77_FUNC_(name,NAME) NAME ## _
     26052_ACEOF
     26053 ;;
     26054  "upper case, underscore, no extra underscore")
     26055          cat >>confdefs.h <<\_ACEOF
     26056#define F77_FUNC(name,NAME) NAME ## _
     26057_ACEOF
     26058
     26059          cat >>confdefs.h <<\_ACEOF
     26060#define F77_FUNC_(name,NAME) NAME ## _
     26061_ACEOF
     26062 ;;
     26063  "upper case, underscore, extra underscore")
     26064          cat >>confdefs.h <<\_ACEOF
     26065#define F77_FUNC(name,NAME) NAME ## _
     26066_ACEOF
     26067
     26068          cat >>confdefs.h <<\_ACEOF
     26069#define F77_FUNC_(name,NAME) NAME ## __
     26070_ACEOF
     26071 ;;
     26072  *)
     26073          { echo "$as_me:$LINENO: WARNING: unknown Fortran name-mangling scheme" >&5
     26074echo "$as_me: WARNING: unknown Fortran name-mangling scheme" >&2;}
     26075          ;;
     26076esac
     26077
     26078ac_ext=f
     26079ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     26080ac_link='$F77 -o conftest$ac_exeext $FFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     26081ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    2607426082
    2607526083ac_ext=c
Note: See TracChangeset for help on using the changeset viewer.